## org.apache.lucene.search
Class FieldCache.CacheEntry

    java.lang.Object
      org.apache.lucene.search.FieldCache.CacheEntry

Enclosing interface:
  FieldCache

    public static final class FieldCache.CacheEntry

extends Object

EXPERT: A unique Identifier/Description for each item in the FieldCache. Can be useful for logging/debugging.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`FieldCache.CacheEntry(Object readerKey, String fieldName, Class<?> cacheType, Object custom, Object value)`

Method Summary
`void` `estimateSize()` Computes (and stores) the estimated size of the cache Value
`Class<?>` `getCacheType()`
`Object` `getCustom()`
`String` `getEstimatedSize()` The most recently estimated size of the value, null unless estimateSize has been called.
`String` `getFieldName()`
`Object` `getReaderKey()`
`Object` `getValue()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldCache.CacheEntry

    public FieldCache.CacheEntry(Object readerKey,
                                 String fieldName,
                                 Class<?> cacheType,
                                 Object custom,
                                 Object value)

Method Detail

### getReaderKey

    public Object getReaderKey()

### getFieldName

    public String getFieldName()

### getCacheType

    public Class<?> getCacheType()

### getCustom

    public Object getCustom()

### getValue

    public Object getValue()

### estimateSize

    public void estimateSize()

  Computes (and stores) the estimated size of the cache Value

  See Also:
    `getEstimatedSize()`

### getEstimatedSize

    public String getEstimatedSize()

  The most recently estimated size of the value, null unless estimateSize has been called.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.